summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthias Schwarzott <zzam@gentoo.org>2008-10-09 08:56:43 +0000
committerMatthias Schwarzott <zzam@gentoo.org>2008-10-09 08:56:43 +0000
commit83b4f5e46c9f1d0e28e5532fb20d9bd93d002438 (patch)
tree28032bd45400e2daef32cb296efbc618f8b0dfde /sys-fs/udev/files
parentVersion bump, cleaning old files (diff)
downloadhistorical-83b4f5e46c9f1d0e28e5532fb20d9bd93d002438.tar.gz
historical-83b4f5e46c9f1d0e28e5532fb20d9bd93d002438.tar.bz2
historical-83b4f5e46c9f1d0e28e5532fb20d9bd93d002438.zip
Ignore events of br-devices to not get a loop of uevents/init-script calls, Bug #239239.
Package-Manager: portage-2.2_rc11/cvs/Linux 2.6.25-tuxonice-r6 i686
Diffstat (limited to 'sys-fs/udev/files')
-rwxr-xr-xsys-fs/udev/files/net-130-r1.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/sys-fs/udev/files/net-130-r1.sh b/sys-fs/udev/files/net-130-r1.sh
new file mode 100755
index 000000000000..af61870d8239
--- /dev/null
+++ b/sys-fs/udev/files/net-130-r1.sh
@@ -0,0 +1,34 @@
+#!/bin/sh
+#
+# net.sh: udev external RUN script
+#
+# Copyright 2007 Roy Marples <uberlord@gentoo.org>
+# Distributed under the terms of the GNU General Public License v2
+
+IFACE=$1
+ACTION=$2
+
+SCRIPT=/etc/init.d/net.$IFACE
+
+# ignore interfaces that are registered after being "up" (?)
+case ${IFACE} in
+ ppp*|ippp*|isdn*|plip*|lo*|irda*|dummy*|ipsec*|tun*|tap*|br*)
+ exit 0 ;;
+esac
+
+# stop here if coldplug is disabled, Bug #206518
+if [ "${do_not_run_plug_service}" = 1 ]; then
+ exit 0
+fi
+
+if [ ! -x "${SCRIPT}" ] ; then
+ #do not flood log with messages, bug #205687
+ #logger -t udev-net.sh "${SCRIPT}: does not exist or is not executable"
+ exit 1
+fi
+
+# If we're stopping then sleep for a bit in-case a daemon is monitoring
+# the interface. This to try and ensure we stop after they do.
+[ "${ACTION}" == "stop" ] && sleep 2
+
+IN_HOTPLUG=1 "${SCRIPT}" --quiet "${ACTION}"